#   setToDate
#   ---------
#   Set the field to the current date. Default format is '%d-%b-%y'
#   but can be overridden.
#
def setToDate (self, format = None, row = None) :

    import time
    if row    is None : row = self.getBlock().getQueryRow()
    if format is None or format == '' : format = '%d-%b-%y'
    self.setValue (row, time.strftime (format, time.localtime(time.time())))

#   setToTime
#   ---------
#   Set the field to the current time. Default format is '%H:%M:%S'
#   but can be overridden.
#
def setToTime (self, format = None, row = None) :

    import time
    if row    is None : row = self.getBlock().getQueryRow()
    if format is None or format == '' : format = '%H:%M:%S'
    self.setValue (row, time.strftime (format, time.localtime(time.time())))


import Rekall
setattr (Rekall.PyKBField, 'setToDate', setToDate)
setattr (Rekall.PyKBField, 'setToTime', setToTime)
